Package org.apache.sysds.runtime.controlprogram.caching

# Class CacheStatistics

java.lang.Object
org.apache.sysds.runtime.controlprogram.caching.CacheStatistics

public class CacheStatistics extends Object
This singleton provides basic caching statistics in CP. 1) Hit statistics for caching (mem, fs, hdfs, total) NOTE: In order to provide accurate statistics in multi-threaded synchronized increments are required. Since those functions are called potentially very often, we use atomic increments (compare and swap) instead of heavy-weight 'synchronized' methods.

## Constructor Summary

Constructors
Constructor
Description
`CacheStatistics()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`displayHits()`
`static String`
`displayTime()`
`static String`
`displayWrites()`
`static long`
`getAcquireMTime()`
`static long`
`getAcquireRTime()`
`static long`
`getExportTime()`
`static long`
`getFSBuffHits()`
`static long`
`getFSBuffWrites()`
`static long`
`getFSHits()`
`static long`
`getFSWrites()`
`static long`
`getHDFSHits()`
`static long`
`getHDFSWrites()`
`static long`
`getLinHits()`
`static long`
`getLinWrites()`
`static long`
`getMemHits()`
`static long`
`getReleaseTime()`
`static void`
`incrementAcquireMTime(long delta)`
`static void`
`incrementAcquireRTime(long delta)`
`static void`
`incrementBPoolWrites()`
`static void`
`incrementExportTime(long delta)`
`static void`
`incrementFSBuffHits()`
`static void`
`incrementFSBuffHits(int delta)`
`static void`
`incrementFSBuffWrites(int delta)`
`static void`
`incrementFSHits()`
`static void`
`incrementFSHits(int delta)`
`static void`
`incrementFSWrites()`
`static void`
`incrementFSWrites(int delta)`
`static void`
`incrementHDFSHits()`
`static void`
`incrementHDFSHits(int delta)`
`static void`
`incrementHDFSWrites()`
`static void`
`incrementHDFSWrites(int delta)`
`static void`
`incrementLinHits()`
`static void`
`incrementLinHits(int delta)`
`static void`
`incrementLinWrites()`
`static void`
`incrementLinWrites(int delta)`
`static void`
`incrementMemHits()`
`static void`
`incrementMemHits(int delta)`
`static void`
`incrementReleaseTime(long delta)`
`static void`
`reset()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CacheStatistics

public CacheStatistics()

## Method Details

### reset

public static void reset()

### incrementMemHits

public static void incrementMemHits()

### incrementMemHits

public static void incrementMemHits(int delta)

### getMemHits

public static long getMemHits()

### incrementFSBuffHits

public static void incrementFSBuffHits()

### incrementFSBuffHits

public static void incrementFSBuffHits(int delta)

### getFSBuffHits

public static long getFSBuffHits()

### incrementFSHits

public static void incrementFSHits()

### incrementFSHits

public static void incrementFSHits(int delta)

### getFSHits

public static long getFSHits()

### incrementHDFSHits

public static void incrementHDFSHits()

### incrementHDFSHits

public static void incrementHDFSHits(int delta)

### getHDFSHits

public static long getHDFSHits()

### incrementLinHits

public static void incrementLinHits()

### incrementLinHits

public static void incrementLinHits(int delta)

### getLinHits

public static long getLinHits()

### incrementBPoolWrites

public static void incrementBPoolWrites()

### incrementFSBuffWrites

public static void incrementFSBuffWrites(int delta)

### getFSBuffWrites

public static long getFSBuffWrites()

### incrementFSWrites

public static void incrementFSWrites()

### incrementFSWrites

public static void incrementFSWrites(int delta)

### getFSWrites

public static long getFSWrites()

### incrementHDFSWrites

public static void incrementHDFSWrites()

### incrementHDFSWrites

public static void incrementHDFSWrites(int delta)

### getHDFSWrites

public static long getHDFSWrites()

### incrementLinWrites

public static void incrementLinWrites()

### incrementLinWrites

public static void incrementLinWrites(int delta)

### getLinWrites

public static long getLinWrites()

### incrementAcquireRTime

public static void incrementAcquireRTime(long delta)

### getAcquireRTime

public static long getAcquireRTime()

### incrementAcquireMTime

public static void incrementAcquireMTime(long delta)

### getAcquireMTime

public static long getAcquireMTime()

### incrementReleaseTime

public static void incrementReleaseTime(long delta)

### getReleaseTime

public static long getReleaseTime()

### incrementExportTime

public static void incrementExportTime(long delta)

### getExportTime

public static long getExportTime()

### displayHits

public static String displayHits()

### displayWrites

public static String displayWrites()

### displayTime

public static String displayTime()